<back to all web services

DECTrackingInfoDto

The following routes are available for this service:
GET/RestApi/sitefinity/data-intelligence/tracked-sites
import datetime
import decimal
from marshmallow.fields import *
from servicestack import *
from typing import *
from dataclasses import dataclass, field
from dataclasses_json import dataclass_json, LetterCase, Undefined, config
from enum import Enum, IntEnum


@dataclass_json(letter_case=LetterCase.CAMEL, undefined=Undefined.EXCLUDE)
@dataclass
class DECTrackingInfoDto:
    untracked_sites_names: Optional[List[str]] = None
    tracked_sites: Optional[Object] = None
    is_multisite: bool = False

Python DECTrackingInfoDto DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv

HTTP + JSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/sitefinity/data-intelligence/tracked-sites HTTP/1.1 
Host: www.asg.com.au 
Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length

{
	untrackedSitesNames: 
	[
		String
	],
	trackedSites: {},
	isMultisite: False
}